Bug 489821 - Kernel BUGs in i915_driver_irq_handler
Kernel BUGs in i915_driver_irq_handler
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
10
i686 Linux
low Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-11 20:41 EDT by Tom Lanyon
Modified: 2009-12-18 04:00 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 04:00:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Probable fix (backported from mainline). (1.10 KB, patch)
2009-04-20 03:38 EDT, Stanislaw Gruszka
no flags Details | Diff

  None (edit)
Description Tom Lanyon 2009-03-11 20:41:28 EDT
Description of problem:
Trying to launch Xorg (via startx or gdm) completely corrupts console display. C-A-Backspace has no effect, C-A-Fx keys will not return to text based terminals. Can still SSH into machine to debug.

Version-Release number of selected component (if applicable):
kernel-2.6.27.19-170.2.35.fc10.i686
xorg-x11-server-Xorg-1.5.3-13.fc10.i386
xorg-x11-drv-i810-2.5.0-4.fc10.i386

How reproducible:
Every time.

Steps to Reproduce:
1. startx or init 5
2. receive kernel bug in dmesg

  
Actual results:
Display is corrupted. kernel messages log:

[drm] Initialized drm 1.1.0 20060810
pci 0000:00:02.0: PCI INT A -> GSI 16 (level, low) -> IRQ 16
pci 0000:00:02.0: setting latency timer to 64
[drm] Initialized i915 1.6.0 20080730 on minor 0
BUG: unable to handle kernel NULL pointer dereference at 00000060
IP: [<f04df072>] :i915:i915_driver_irq_handler+0x1d/0x1cf
*pde = 00000000 
Oops: 0000 [#1] SMP 
Modules linked in: i915 drm sco bnep l2cap bluetooth ipt_MASQUERADE iptable_nat nf_nat bridge stp sunrpc nf_conntrack_netbios_ns nf_conntrack_ftp ip6t_REJECT nf_conntrack_ipv6 ip6table_filter ip6_tables ipv6 p4_clockmod dm_multipath uinput ppdev dst snd_intel8x0 dvb_bt8xx snd_ac97_codec ac97_bus dvb_core bt878 snd_seq_dummy snd_seq_oss bttv snd_seq_midi_event snd_seq snd_seq_device videodev snd_pcm_oss snd_mixer_oss snd_pcm v4l1_compat ir_common floppy compat_ioctl32 snd_timer i2c_algo_bit v4l2_common snd videobuf_dma_sg sata_sil videobuf_core serio_raw soundcore snd_page_alloc btcx_risc iTCO_wdt i2c_i801 tveeprom i2c_core iTCO_vendor_support e100 mii parport_pc parport ata_generic pata_acpi [last unloaded: microcode]

Pid: 2330, comm: Xorg Not tainted (2.6.27.19-170.2.35.fc10.i686 #1) Evo D510 SFF
EIP: 0060:[<f04df072>] EFLAGS: 00213082 CPU: 0
EIP is at i915_driver_irq_handler+0x1d/0x1cf [i915]
EAX: 00000000 EBX: 00203282 ECX: c15f8a38 EDX: edff4000
ESI: ed8d8000 EDI: edff4000 EBP: ee504e3c ESP: ee504e10
 DS: 007b ES: 007b FS: 00d8 GS: 0000 SS: 0068
Process Xorg (pid: 2330, ti=ee504000 task=e9c1e680 task.ti=ee504000)
Stack: edd20480 00203046 ee504e28 ee504e28 00203246 00004000 ee504e3c c04654df 
       00203282 e0b37160 00000010 ee504e5c c04655ec edff4000 c08075b0 00203206 
       edff4014 00000001 edff4000 ee504e70 f050161a ed8d8000 edff4000 e9cbd600 
Call Trace:
 [<c04654df>] ? synchronize_irq+0x38/0x42
 [<c04655ec>] ? free_irq+0xd9/0x130
 [<f050161a>] ? drm_irq_uninstall+0x81/0x92 [drm]
 [<f04dd216>] ? i915_dma_cleanup+0x1b/0x84 [i915]
 [<f04dd6cc>] ? i915_driver_lastclose+0x31/0x35 [i915]
 [<f04ff73e>] ? drm_lastclose+0x36/0x22d [drm]
 [<f04ffe2e>] ? drm_release+0x32d/0x3a4 [drm]
 [<f04ffe8c>] ? drm_release+0x38b/0x3a4 [drm]
 [<c0493649>] ? __fput+0xad/0x13d
 [<c04936f0>] ? fput+0x17/0x19
 [<c0490f9b>] ? filp_close+0x50/0x5a
 [<c042f41a>] ? put_files_struct+0x68/0xaa
 [<c042f494>] ? exit_files+0x38/0x3d
 [<c0430b00>] ? do_exit+0x1e5/0x744
 [<c0461d0a>] ? audit_syscall_entry+0xf9/0x123
 [<c04310cf>] ? do_group_exit+0x70/0x97
 [<c0431109>] ? sys_exit_group+0x13/0x17
 [<c0404c8a>] ? syscall_call+0x7/0xb
 =======================
Code: ff ff 59 5b 8d 65 f4 89 d0 5b 5e 5f 5d c3 55 89 e5 57 89 d7 56 53 83 ec 20 8b 82 ac 02 00 00 8b b2 88 02 00 00 8b 80 48 01 00 00 <8b> 40 60 89 45 dc 90 ff 86 90 00 00 00 8b 46 04 05 a4 20 00 00 
EIP: [<f04df072>] i915_driver_irq_handler+0x1d/0x1cf [i915] SS:ESP 0068:ee504e10
---[ end trace 8141dd88d98c5d1b ]---
Fixing recursive fault but reboot is needed!


Expected results:
X starts normally.


Additional info:
- also tried kernel-2.6.27.5-117.fc10.i686
- also tried building xorg-x11-drv-i810 with latest upstream 2.6.0 driver release from Intel
- loading Xorg with 'vesa' display driver proceeds further but also seems to hang system eventually
Comment 1 Stanislaw Gruszka 2009-04-20 03:38:01 EDT
Created attachment 340294 [details]
Probable fix (backported from mainline).
Comment 2 Chuck Ebbert 2009-04-23 15:16:28 EDT
That fix is already in kernel 2.6.29.1-30 and later versions.
Comment 3 Fedora Update System 2009-04-27 22:08:50 EDT
kernel-2.6.29.2-52.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/kernel-2.6.29.2-52.fc10
Comment 4 Fedora Update System 2009-05-02 12:32:09 EDT
kernel-2.6.29.2-52.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kernel'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-4132
Comment 5 Fedora Update System 2009-05-11 11:07:50 EDT
kernel-2.6.29.3-60.fc10,hal-0.5.12-15.20081027git.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/kernel-2.6.29.3-60.fc10,hal-0.5.12-15.20081027git.fc10
Comment 6 Fedora Update System 2009-05-12 00:08:25 EDT
kernel-2.6.29.3-60.fc10, hal-0.5.12-15.20081027git.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kernel hal'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-4818
Comment 7 Fedora Update System 2009-05-25 19:08:46 EDT
kernel-2.6.29.4-75.fc10,hal-0.5.12-15.20081027git.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/kernel-2.6.29.4-75.fc10,hal-0.5.12-15.20081027git.fc10
Comment 8 Fedora Update System 2009-05-27 15:05:30 EDT
kernel-2.6.29.4-75.fc10, hal-0.5.12-15.20081027git.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kernel hal'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-5527
Comment 9 Fedora Update System 2009-06-17 08:08:01 EDT
kernel-2.6.29.5-84.fc10,hal-0.5.12-15.20081027git.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/kernel-2.6.29.5-84.fc10,hal-0.5.12-15.20081027git.fc10
Comment 10 Fedora Update System 2009-06-19 09:38:11 EDT
kernel-2.6.29.5-84.fc10, hal-0.5.12-15.20081027git.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kernel hal'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-6717
Comment 11 Fedora Update System 2009-07-07 11:09:13 EDT
kernel-2.6.29.6-93.fc10,hal-0.5.12-15.20081027git.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/kernel-2.6.29.6-93.fc10,hal-0.5.12-15.20081027git.fc10
Comment 12 Fedora Update System 2009-07-16 02:59:00 EDT
kernel-2.6.29.6-93.fc10, hal-0.5.12-15.20081027git.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kernel hal'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-7573
Comment 13 Fedora Update System 2009-08-15 10:00:25 EDT
kernel-2.6.29.6-97.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/kernel-2.6.29.6-97.fc10
Comment 14 Fedora Update System 2009-08-17 18:04:45 EDT
kernel-2.6.29.6-97.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kernel'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-8697
Comment 15 Fedora Update System 2009-08-19 23:57:58 EDT
kernel-2.6.29.6-99.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/kernel-2.6.29.6-99.fc10
Comment 16 Fedora Update System 2009-08-21 21:04:17 EDT
kernel-2.6.29.6-99.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kernel'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-8870
Comment 17 Bug Zapper 2009-11-18 04:54:36 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 18 Bug Zapper 2009-12-18 04:00:23 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.